---
title: "Register a Generic CRM integration"
slug: "register-a-generic-crm-integration-v2crmintegrations-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
canonical: "help.gong.io/register-a-generic-crm-integration-v2crmintegrations-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a Generic CRM integration (/v2/crm/integrations)

Put/v2/crm/integrations<style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>

Creates your CRM integration with Gong. Returns an integrationId, which should be used in requests to the CRM API to enable correct association of CRM data.

Multiple CRM integrations are not supported. To create a new integration, delete the old one first (`DELETE /v2/crm/integrations`).

This includes if you have integrated with Gong using one of the native CRM integrations such as HubSpot or Salesforce.

Required authorization scope: 'api:crm:integration:register'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='23899b78-f42a-452b-bdb5-4ff286ad147f'>application/json</option>
</select>object  ownerEmailstring    Required

Email address of the person responsible for the integration

Examplejoe.doe@acme.com
namestring    Required

The name of the integration

ExampleACME Sandbox

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='85d04b0f-3d11-4f11-a343-cdbe2e987c07'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
integrationIdinteger  (int64)    <style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>Your integration ID to be used in requests to the API. This ensures you are accessing the correct integration.  
**Note:** Parse the integrationId as Long or BigInt. Parsing the integrationId as an Integer will truncate the integrationId to trailing zeros and will return an incorrect ID.
Example5517027188234206000

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='e05d1b98-fff5-4ce8-9757-0174bfc2b703'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='0714c027-99ba-4bf2-9a47-9cf0ad5ebd40'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

409

Conflict - An active integration already exists.

<select class='api-response-data' aria-label='Media type'><option value='4cb6499f-33be-40e0-b71a-8adbb1d9a001'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='a774a2bd-2bc5-4464-8350-0915afe1665d'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
